<<

# Bugzilla::Config

- NAME
- SYNOPSIS
- DESCRIPTION
- FUNCTIONS
  - Parameters

# NAME

Bugzilla::Config - Configuration parameters for Bugzilla

# SYNOPSIS

      # Administration functions
      use Bugzilla::Config qw(:admin);

      update_params();
      SetParam($param, $value);
      write_params();

# DESCRIPTION

This package contains ways to access Bugzilla configuration parameters.

# FUNCTIONS

## Parameters

Parameters can be set, retrieved, and updated.

`SetParam($name, $value)`

  Sets the param named $name to $value. Values are checked using the checker function for the given param if one exists.

`update_params()`

  Updates the parameters, by transitioning old params to new formats, setting defaults for new params, and removing obsolete ones. Used by checksetup.pl in the process of an installation or upgrade.

  Prints out information about what it's doing, if it makes any changes.

  May prompt the user for input, if certain required parameters are not specified.

`write_params($params)`

  Description: Writes the parameters to disk.

  Params: `$params` (optional) - A hashref to write to the disk instead of `Bugzilla-`params>. Used only by `update_params`.

  Returns: nothing

`read_param_file()`

  Description: Most callers should never need this. This is used by `Bugzilla-`params> to directly read `$datadir/params` and load it into memory. Use `Bugzilla-`params> instead.

  Params: none

  Returns: A hashref containing the current params in `$datadir/params`.

<<